org.apache.cayenne.graph

## Class NodeIdChangeOperation

- java.lang.Object
- - org.apache.cayenne.graph.NodeDiff
  - - org.apache.cayenne.graph.NodeIdChangeOperation

- All Implemented Interfaces:
    Serializable, Comparable<NodeDiff>, GraphDiff

      public class NodeIdChangeOperation
      extends NodeDiff

  A GraphDiff representing a change in node ID.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `newNodeId`

    - ### Fields inherited from class org.apache.cayenne.graph.NodeDiff

      `diffId, nodeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeIdChangeOperation(Object nodeId, Object newNodeId)`
    `NodeIdChangeOperation(Object nodeId, Object newNodeId, int diffId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(GraphChangeHandler tracker)` Calls appropriate methods on the handler to "replay" this change.
    `void` | `undo(GraphChangeHandler tracker)` Calls appropriate methods on the handler to revert this change.

    - ### Methods inherited from class org.apache.cayenne.graph.NodeDiff

      `compareTo, getDiffId, getNodeId, isNoop, setDiffId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### newNodeId

          protected Object newNodeId

  - ### Constructor Detail

    - #### NodeIdChangeOperation

          public NodeIdChangeOperation(Object nodeId,
                                       Object newNodeId)

    - #### NodeIdChangeOperation

          public NodeIdChangeOperation(Object nodeId,
                                       Object newNodeId,
                                       int diffId)

  - ### Method Detail

    - #### apply

          public void apply(GraphChangeHandler tracker)

      Description copied from interface: `GraphDiff`
      Calls appropriate methods on the handler to "replay" this change.
      Specified by:
        `apply` in interface `GraphDiff`
      Specified by:
        `apply` in class `NodeDiff`

    - #### undo

          public void undo(GraphChangeHandler tracker)

      Description copied from interface: `GraphDiff`
      Calls appropriate methods on the handler to revert this change.
      Specified by:
        `undo` in interface `GraphDiff`
      Specified by:
        `undo` in class `NodeDiff`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.